Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class AnnotationConstantExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.ConstantExpression
                      org.codehaus.groovy.ast.expr.AnnotationConstantExpression

    public class AnnotationConstantExpression
    extends ConstantExpression

Represents an annotation "constant" that may appear in annotation attributes (mainly used as a marker).

Authors:
  Alex Popescu

Version:
  \$Revision: 3264 \$

Field Summary

Fields inherited from class ConstantExpression
EMPTY_EXPRESSION, EMPTY_STRING, FALSE, NULL, TRUE, VOID

Constructor Summary
`AnnotationConstantExpression(AnnotationNode node)`

Method Summary
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class ConstantExpression
getConstantName, getText, getValue, isEmptyStringExpression, isFalseExpression, isNullExpression, isTrueExpression, setConstantName, toString, transformExpression, visit

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### AnnotationConstantExpression

    public AnnotationConstantExpression(AnnotationNode node)

Method Detail

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.